%global srcname requests-toolbelt
%global with_python3 0

Name:           python-%{srcname}
Version:        0.8.0
Release:        2%{?dist}
Summary:        A utility belt for advanced users of python-requests

License:        Apache-2.0
URL:            https://toolbelt.readthedocs.org
Source0:        https://files.pythonhosted.org/packages/source/r/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-requests < 3.0.0
BuildRequires:  python2-requests >= 2.0.1
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-requests < 3.0.0
BuildRequires:  python%{python3_pkgversion}-requests >= 2.0.1
BuildRequires:  python%{python3_pkgversion}-setuptools
%endif # with_python3

%global requests_toolbelt_desc \
This is just a collection of utilities for python-requests, but don't really\
belong in requests proper.

%description
%{requests_toolbelt_desc}

%package -n     python2-%{srcname}
Summary:        A utility belt for advanced users of python-requests

Requires:       python2-requests < 3.0.0
Requires:       python2-requests >= 2.0.1

%description -n python2-%{srcname}
%{requests_toolbelt_desc}

%if 0%{?with_python3}
%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        A utility belt for advanced users of python-requests

Requires:       python%{python3_pkgversion}-requests < 3.0.0
Requires:       python%{python3_pkgversion}-requests >= 2.0.1
%description -n python%{python3_pkgversion}-%{srcname}
%{requests_toolbelt_desc}
%endif # with_python3


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif # with_python3

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%if 0%{?with_python3}
%py3_install
%endif # with_python3
%py2_install

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/requests_toolbelt
%{python2_sitelib}/requests_toolbelt-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/requests_toolbelt
%{python3_sitelib}/requests_toolbelt-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Thu Oct 25 2018 Satoe Imaishi <simaishi@redhat.com> - 0.8.0-1
- Initial package.
